Bug 1301521 - Review Request: python-positional - Library to enforce positional or keyword arguments
Summary: Review Request: python-positional - Library to enforce positional or keyword ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chandan Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-MITAKA, RDO-MITAKA-REVIEWS
TreeView+ depends on / blocked
 
Reported: 2016-01-25 09:37 UTC by Haïkel Guémar
Modified: 2016-08-14 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 15:56:22 UTC
Type: ---
Embargoed:
chkumar246: fedora-review+


Attachments (Terms of Use)

Description Haïkel Guémar 2016-01-25 09:37:23 UTC
Spec URL: https://hguemar.fedorapeople.org/reviews/python-positional.spec
SRPM URL: https://hguemar.fedorapeople.org/reviews/python-positional-1.0.1-1.fc23.src.rpm
Description: Library to enforce positional or keyword arguments
Fedora Account System Username: hguemar

Comment 2 Chandan Kumar 2016-01-25 13:53:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 8 files
     have unknown license. Detailed output of licensecheck in
     /home/chandankumar/Downloads/review-python-positional/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-positional , python3-positional , python-positional-doc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-positional-1.0.1-2.fc23.noarch.rpm
          python3-positional-1.0.1-2.fc23.noarch.rpm
          python-positional-doc-1.0.1-2.fc23.noarch.rpm
          python-positional-1.0.1-2.fc23.src.rpm
python2-positional.noarch: W: spelling-error %description -l en_US args -> rags, gars, ares
python2-positional.noarch: W: spelling-error %description -l en_US positionally -> position ally, position-ally, prepositionally
python3-positional.noarch: W: spelling-error %description -l en_US args -> rags, gars, ares
python3-positional.noarch: W: spelling-error %description -l en_US positionally -> position ally, position-ally, prepositionally
python-positional.src: W: spelling-error %description -l en_US args -> rags, gars, ares
python-positional.src: W: spelling-error %description -l en_US positionally -> position ally, position-ally, prepositionally
4 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-positional (rpmlib, GLIBC filtered):
    python(abi)

python3-positional (rpmlib, GLIBC filtered):
    python(abi)

python-positional-doc (rpmlib, GLIBC filtered):



Provides
--------
python2-positional:
    python-positional
    python2-positional

python3-positional:
    python3-positional

python-positional-doc:
    python-positional-doc



Source checksums
----------------
https://pypi.python.org/packages/source/p/positional/positional-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 54a73f3593c6e30e9cdd0a727503b7c5dddbb75fb78bb681614b08dfde2bc444
  CHECKSUM(SHA256) upstream package : 54a73f3593c6e30e9cdd0a727503b7c5dddbb75fb78bb681614b08dfde2bc444


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -u https://bugzilla.redhat.com/show_bug.cgi?id=1301521
Buildroot used: fedora-23-x86_64

This package is APPROVED, please go ahead with the SCM request.

Comment 3 Gwyn Ciesla 2016-01-25 18:26:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-positional


Note You need to log in before you can comment on or make changes to this bug.